IBPRINTCA(8)

NAME
ibprintca.pl - print either the ca specified or the list of cas from the ibnetdiscover output

SYNOPSIS
ibprintca.pl [-R -l -C <ca_name> -P <ca_port>] [<ca_guid|node_name>]

DESCRIPTION

Faster than greping/viewing with an editor the output of ibnetdiscover, ibprintca.pl will parse out and print either the CA information for the specified CA or a list of all the CAs in the subnet. Finally, ibprintca.pl will also reuse the cached ibnetdiscover output from some of the other diag tools which makes it a bit faster than running ibnetdiscover from scratch.

OPTIONS

-l  List the CAs (simply a wrapper for ibhosts).

-R  Recalculate the ibnetdiscover information, ie do not use the cached information. This option is slower but should be used if the diag tools have not been used for some time or if there are other reasons to believe that the fabric has changed.

-C <ca_name>    use the specified ca_name for the search.

-P <ca_port>    use the specified ca_port for the search.

AUTHORS

Ira Weiny
    <weiny2@llnl.gov>

Hal Rosenstock
    <halr@voltaire.com>